require 'spec_helper'

module SavingsPlansTest
  describe 'SavingsPlans _service' do
    include_context 'request metadata'
    it 'good test case' do
      wrap_request do
        variables = {}
        graphql url(service: service),
                format_request(
                  :_service,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:_service, service: service)
      end
    end
    it 'E:no auth' do
      wrap_request do
        variables = {}
        graphql url(service: service),
                format_request(
                  :_service,
                  service: service
                ),
                variables, apitest_headers
        pending 'PLAT-4731'
        expect_status(401)
        expect_error_graphql(
          status: 401,
          errors: [{ message: /(I|i)nvalid or missing authentication token/ }]
        )
      end
    end
  end
end
